# Spec file for gapcmon project

%define version 0.8.5
%define release alt1

Name: gapcmon
Version: %version
Release: %release

Summary: a GUI monitor for apcupsd
Summary(ru_RU.UTF-8): графический монитор состояния ИБП для apcupsd

License: GPL v2
Group: Monitoring
Url: http://gapcmon.sourceforge.net/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source0: http://prdownloads.sourceforge.net/gapcmon/%name-%version.tar.bz2
Source1: gapcmon.desktop

AutoReqProv: yes
BuildPreReq: GConf2 gnome-vfs2-devel libgtk+2-devel

%description
A Gtk2/GLib2 GUI application used to monitor UPS devices controlled
by the  APCUPSD package.  The program uses  the  NIS interface from
apcupsd to collect event  and status information for display to the
end-user.

%description -l ru_RU.UTF-8
Графическая утилита для  мониторинга состояния  устройств ИБП,
управляемых демоном apcupsd  из одноимённого пакета. Программа
использует интерфейс NIS демона для сбора сообщений о событиях
и состоянии  ИБП и представляет  их в удобном для пользователя
виде.

%prep
%setup
%__mv gapcmon.desktop gapcmon.desktop.orig
%__cp %SOURCE1 gapcmon.desktop

%build
%configure
%make_build

%install
%makeinstall

# Need it there because of using COPYING in makefile
%__mv -f COPYING COPYING.GPL.orig
%__ln_s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog INSTALL README
%doc --no-dereference COPYING

%exclude %_docdir/%name

%_bindir/%name

%_pixmapsdir/apcupsd.png
%_pixmapsdir/charging.png
%_pixmapsdir/gapc_prefs.png
%_pixmapsdir/onbatt.png
%_pixmapsdir/online.png
%_pixmapsdir/unplugged.png

%_desktopdir/%name.desktop

%changelog
* Tue Mar 27 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8.5-alt1
- New version 0.8.5
 * Replace the network routine to use GIOChannels vs gnomeVFS
 * Added ability to start up in icon mode

* Wed Jul 19 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8.3-alt1
- New version 0.8.3
 * Added graph color properties page to control.panel notebook

* Mon May 29 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8.2-alt1
- Initial build for ALT Linux

* Mon May 29 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8.2-alt0
- Initial build
- Fix desktop file

